From: FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>

This enables exception store code to handle the message hook in struct
target_type. Exception store implementations can provide useful
features such as providing delta between two snapshots to user space.

Signed-off-by: FUJITA Tomonori <fujita.tomonori@lab.ntt.co.jp>
---
 drivers/md/dm-snap.h |    7 +++++++
 1 files changed, 7 insertions(+)

Index: linux-2.6.28-rc3/drivers/md/dm-snap.h
===================================================================
--- linux-2.6.28-rc3.orig/drivers/md/dm-snap.h	2008-11-07 13:15:35.000000000 +0000
+++ linux-2.6.28-rc3/drivers/md/dm-snap.h	2008-11-07 13:15:38.000000000 +0000
@@ -132,6 +132,13 @@ struct exception_store {
 	struct dm_snap_exception *(*lookup_completed_exception)
 	(struct exception_store *store, chunk_t chunk);
 
+	/*
+	 * let exception store code to handle the message hook in
+	 * struct target_type.
+	 */
+	int (*message)(struct exception_store *store, unsigned argc,
+		       char **argv);
+
 	struct dm_snapshot *snap;
 	void *context;
 };
